htmlspecialchars
join
String Functions
PHP Manual

# implode

Join array elements with a string

### Description

string implode ( string `$glue` , array `$pieces` )
string implode ( array `$pieces` )

Join array elements with a `glue` string.

> Note:

> implode can, for historical reasons, accept its parameters in either order. For consistency with explode, however, it may be less confusing to use the documented order of arguments.

### Parameters

`glue`

  Defaults to an empty string.

`pieces`

  The array of strings to implode.

### Return Values

Returns a string containing a string representation of all the array elements in the same order, with the glue string between each element.

### Changelog

Version | Description
--- | ---
4.3.0 | The `glue` parameter became optional.

### Examples

Example #1 implode example

`<?php
$array = array('lastname', 'email', 'phone');
$comma_separated = implode(",", $array);
echo $comma_separated; // lastname,email,phone
// Empty string when using an empty array:
var_dump(implode('hello', array())); // string(0) ""
?>`

### Notes

> Note: This function is binary-safe.

### See Also

- explode
- preg_split
- http_build_query